Subject: Re: [Curdle] Group 15 needed in draft-baushke-ssh-dh-group-sha2

From: "denis bider \(Bitvise\)" <[email-masked]>
Date: Wed, 17 Aug 2016 20:19:59 -0600

It strikes me, also, that because this group caters to many protocols, most people here might not have experience with implementing SSH.

In this light, it may be relevant to point out that the seemingly many DH key exchange methods defined by this draft are all a single key exchange method. This is all the same original DH key exchange that was present in the first SSHv2 version, and the method names are just a way to negotiate a different DH group. The burden of implementing support for an additional group literally consists of copy and pasting the group parameters, and maybe plugging in a different hash. There are no changes elsewhere.

I appreciate that, in the interest of interoperability, folks want a single key exchange method to be a MUST. I would second guess the idea of the MUST being a curve and hash that fail to meet security requirements of a substantial proportion of users, and that may likely to fall to quantum cracking in the first few years quantum computing is out. But as long as the choice remains currently reasonable, I’ll support what you guys think should be a MUST.

The problem is when you guys want to prevent the documentation of other options, so that they might not interfere with the MUST. In this case, you are betting a whole lot on your current insight being right, and the NSA being wrong, over the period of the next 15 years.

From: denis bider (Bitvise) 
Sent: Wednesday, August 17, 2016 19:50
To: Salz, Rich ; Curdle 
Subject: Re: [Curdle] Group 15 needed in draft-baushke-ssh-dh-group-sha2

Hello Rich,

I don’t know; I guess I’m here to find out.

Quite possibly, I’m not going to find out, because people who share my views might not be here in the first place. There’s a selection bias in any volunteer group, and this may make the group look very different from a random population sample.

It also makes for an echo chamber. Groups will normally attract people who are in sync with the dominant group values, and repel people who are not quite.

The dominance of the group’s values does not mean the values are preferrable, or good, or justified. It does not mean these values are even helpful to the group’s ostensible purpose.

Often, groups are ostensibly about one thing, but really about another. I don’t agree with Robin Hanson about the extent to which all human motivation revolves around seeking status. However, there is a kernel of truth in that a lot of activity that is ostensibly about lofty things, is in fact about seeking status. Academia. Volunteerism. Participation in standards bodies.

The work we’re doing here should not be interesting, or flattering. We should not be here to put our names on things. We are here to serve the community by documenting things, not to exercise power by judging and mandating. That is a role for a different, more ephemeral authority, that does not at the same time try to assume the role of the internet’s main documenter of how things work.

Specifications are forever; judgments last about 3 weeks.

denis

From: Salz, Rich 
Sent: Wednesday, August 17, 2016 17:40
To: denis bider (Bitvise) ; Curdle 
Subject: RE: [Curdle] Group 15 needed in draft-baushke-ssh-dh-group-sha2

Denis,

Are the others who share your views?  This isn’t the first time you’ve expressed it, but from my limited viewpoint, it seems to not be shared. 

I also find some inconsistency in your message; how can the IETF mandate Internet interoperability without doing things like MUST, and thereby it, well, MUST serve as a recommender, no?

--  

Senior Architect, Akamai Technologies

IM: [email-masked] Twitter: RichSalz